<!DOCTYPE html>
<html lang="es">
    <head>
        <title>Pecas: herramientas editoriales</title>
        <meta charset="utf-8" />
        <meta name="application-name" content="Pecas">
        <meta name="description" content="Conjunto de scripts que agilizan varios de los procesos del quehacer editorial. ">
        <meta name="keywords" content="nika,zhenya,pecas,epub,ebook,publishing,libros,pandoc,ghostscript,tesseract,latex,context,jats,pdf-document,pdf-generation,tex,automation,markdown,html,xhtml,mobi">
        <link type="text/css" rel="stylesheet" href="css/styles.css">
        <!-- 
        <link rel="shortcut icon" href="favicon.ico">
         -->
    </head>
    <body>
        <header>
            <h1><a href="">Pecas</a></h1>
            <p>Conjunto de <i>scripts</i> que agilizan varios de los procesos del quehacer editorial.</p>
            <nav>
                <h3>Generales</h3>
                <p><a href=html/flujo_general.html>Flujo de trabajo general</a></p>
                <p><a href=html/flujo_digitization.html>Flujo de trabajo para la digitalización</a></p>
                <p><a href=html/flujo_epub.html>Flujo de trabajo para <span class="versalita">EPUB</span></a></p>
                <p><a href=html/problemas.html>Solución de problemas / <span class="versalita">FAQ</span></a></p>
                <h3>Documentación</h3>
                <p><a href=html/herramientas.html>Herramientas</a></p>
                <p><a href=html/md.html>Markdown</a></p>
                <p><a href=html/css.html><span class="versalita">CSS</span></a></p>
                <p><a href=html/yaml.html><span class="versalita">YAML</span></a></p>
                <p><a href=html/js.html>JavaScript</a></p>
            </nav>
            <nav class="espacio-arriba1">
                <h3>Código</h3>
                <p><a href="https://gitlab.com/prolibreros/herramientas/pecas-legacy" target="_blank">GitLab</a></p>
            </nav>
            <nav class="espacio-arriba1">
                <h3>Contacto</h3>
                <p><a href="mailto:hi@perrotuerto.blog">hi@perrotuerto.blog</a></p>
            </nav>
        </header>
        <section>
            <h1 id="pecas-herramientas-editoriales-version-0">Pecas: herramientas editoriales (versión 0)</h1>
            <p>Pecas es un conjunto de <i>scripts</i> que agilizan varios de los procesos del quehacer editorial. Las herramientas están en <a href="https://es.wikipedia.org/wiki/Liberaci%C3%B3n_continua">desarrollo continuo</a> y siguien la propuesta metodológica de la edición ramificada.</p>
            <blockquote>
                <p>⚠️ Pecas v0 es <i>software</i> <a href="https://es.wikipedia.org/wiki/Sistema_heredado"><i>legacy</i></a>.</p>
            </blockquote>
            <h2 id="instalacion">Instalación</h2>
            <p>Para instalar solo basta con ejecutar:</p>
            <pre class="bash">
                <code class="code-line-1">curl -sSf https://gitlab.com/prolibreros/herramientas/pecas-legacy/-/raw/master/install.sh | $SHELL</code>
            </pre>
            <p>Este comando clona a Pecas en <code>~/.local/opt/pecas</code> y en tu archivo de configuración añade tres variables de entorno al <code>$PATH</code>, las cuales son necesarias para la operación de Pecas.</p>
            <p>Si quieres cambiar el directorio de instalación de Pecas lo puedes hacer <strong>si antes de la instalación</strong> estableces la variable de entorno <code>$PECAS_HOME</code> como se muestra en el siguiente ejemplo:</p>
            <pre class="bash">
                <code class="code-line-1">export PECAS_HOME=/home/usuario/otro/lugar</code>
            </pre>
            <p>Para terminar, puedes verificar el estado de Pecas o sus <a href="https://es.wikipedia.org/wiki/Dependencias_de_software">dependencias</a> con <a href="html/pc-doctor.html"><code>pc-doctor</code></a>.</p>
            <h2 id="utilizacion">Utilización</h2>
            <p>Revisa el apartado de <a href="html/herramientas.html">herramientas</a> para conocer los diversos <i>scripts</i> de Pecas.</p>
            <h2 id="solucion-de-problemas">Solución de problemas</h2>
            <p>¿Estás teniendo dificultades con Pecas? Visita el apartado de <a href="html/problemas.html">solución de problemas</a>.</p>
            <h2 id="uso-en-windows">Uso en Windows</h2>
            <p>¿Usas Windows y quieres usar Pecas? Visita <a href="html/problemas.html#como-uso-pecas-en-windows">esta sección</a> del apartado de solución de problemas.</p>
        </section>
        <footer>
            <nav class="espacio-arriba1">
                <h3>Código</h3>
                <p><a href="https://gitlab.com/prolibreros/herramientas/pecas-legacy" target="_blank">GitLab</a></p>
            </nav>
            <nav class="espacio-arriba1">
                <h3>Contacto</h3>
                <p><a href="mailto:hi@perrotuerto.blog">hi@perrotuerto.blog</a></p>
            </nav>
            <p class="centrado espacio-arriba1">Pecas es <i>software</i> libre bajo licencia <a href="https://gnu.org/licenses/gpl.html" target="_blank">GPLv3+</a>.</p>
        </footer>
        <style>
        body {margin:0;}
        body > * {float:left;}
        body > section {width:calc(75% - 10em);margin:5em;}
        header {width:calc(25% - 5em);margin-top: 5em;padding:2.5em;background-color:black;color:white;border-radius:0 .5em .5em 0;}
        header h1 {margin:0; font-size: 2em;}
        header h1 + p {margin-top:1em!important;}
        header h3 {margin-top:1em;}
        header a {color: white;}
        header p, footer nav {text-align:left;}
        header p + p, footer p + p {text-indent:0;}
        header nav > p:before {content:"> ";}
        h2:before {content: "> ";}
        div.example h2:before {content: none;}
        div.example:after {display:block;width:100%;content:"Estilo por defecto";margin-top:-1.5em;text-align:center;font-size:.75em;}
        div.example > div {clear:both;}
        div.example > div:last-child {width:94.5%;margin:2em auto;padding:.5em;box-shadow: .1em .1em .5em rgba(0,0,0,.45);}
        div.example > div > div {float:left;width:50%;}
        div.example > div > div:before {display:block;width:100%;margin-bottom:-1em;text-align:center;font-size:.75em;}
        div.example > div > div:first-child:before {content:"Escritura en Markdown";}
        div.example > div > div:last-child:before {content:"Resultado en HTML";}
        div.example + div.example {border-top: 1px dashed black;margin-top:1.5em;padding-top:1.5em;}
        footer {border-top: 1px dashed black; width:calc(100% - 2em); margin: 1em;}
        footer > nav {display:none;}
        footer nav > * {display:inline;}
        footer nav > p:before {content:"> ";}
        footer nav > p:not(:first-of-type):before {content:"| ";}
        @media screen and (max-width: 768px) {
        body > * {float:none;}
        body > section {width:calc(100% - 5em);margin:2.5em;}
        header {width:calc(100% - 5em);margin-top:0;border-radius:0;}
        header > p:first-of-type {display:inline;}
        header > nav:not(:first-of-type) {display:none;}
        header nav > * {display:inline;}
        header nav > p:before {content:"| ";}
        header h3 + p:before {content: none;}
        header h3:before {content:"\a\a";white-space: pre;}
        header h3:first-of-type:before {content:"\a";}
        header h3:after {content: " > ";}
        div.example > div, div.example > div > div {float:none;width:100%;}
        footer {word-wrap: break-word;}
        footer > nav {display:block;text-align:center;}
        }
        </style>
    </body>
</html>
